//TRAIN SHADERS

textures/ics/train_signal
{
	q3map_material	SolidMetal
	q3map_surfacelight	500
    {
        map $lightmap
    }
    {
        map textures/ics/train_signal
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ics/train_signal_glow
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 1 0 1
    }
}

textures/ics/train_signal
{
	q3map_material	SolidMetal
    {
        map textures/ics/train_signal
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

//BRINKS SHADER

textures/ics/ladder_rung
{
	qer_editorimage textures/kamchatka/ladder_rung
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_material	SolidMetal
	q3map_alphashadow
	cull	disable
    {
        map textures/kamchatka/ladder_rung
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/kamchatka/ladder_rung
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/ics/sewer_lid
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/ics/sewer_lid
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/sign_clearance
{
	q3map_material	SolidMetal
    {
        map textures/ics/sign_clearance
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/asphault_line
{
	q3map_material	Concrete
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	cull	disable
    {
        map textures/ics/asphault_line
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/ics/asphault_line
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/ics/brinks
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/ics/brinks
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/brinks_door
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/ics/brinks_door
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/brinks_front
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/ics/brinks_front
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/brinks_logo
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/ics/brinks_logo
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/brinks_side
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/ics/brinks_side
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//GALLERY SHADERS

textures/ics/gallery
{
    {
        map $lightmap
    }
    {
        map textures/ics/gallery
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/fn_crosswalk
{
	qer_editorimage	textures/prague/crosswalk
	surfaceparm nonopaque
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadow
	{
		map textures/prague/crosswalk
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
}

textures/ics/window_f2_glow
{
	qer_editorimage textures/prague/window_f2
	q3map_material	Glass
	damageShader	textures/prague/window_f2_d 1
	aliasShader	textures/prague/window_d
    {
        map $lightmap
    }
    {
        map textures/prague/window_f2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ics/window_f2_glow
        blendFunc GL_ONE GL_ONE
    }
}

textures/ics/wood_railing
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_material	SolidWood
	cull	disable
    {
        map textures/ics/wood_railing
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/ics/wood_railing
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/ics/woodtrim
{
	qer_editorimage textures/prague/woodtrim
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/prague/woodtrim
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting01
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting01
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting02
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting02
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting03
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting03
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting04
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting04
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting05
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting05
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting06
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting06
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting07
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting07
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting08
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting08
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting09
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting09
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting10
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting10
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting11
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting11
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting12
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting12
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting13
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting13
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting14
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting14
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting15
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting15
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting16
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting16
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting17
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting17
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting18
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting18
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting19
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting19
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting20
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting20
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting21
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting21
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting22
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting22
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting23
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting23
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting24
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting24
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting25
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting25
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting26
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting26
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting27
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting27
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting28
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting28
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting29
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting29
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting30
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting30
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting31
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting31
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting32
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting32
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting33
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting33
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting34
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting34
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting35
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting35
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting36
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting36
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting37
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting37
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting38
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting38
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting39
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting39
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting40
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting40
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting41
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting41
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting42
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting42
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting43
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting43
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting44
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting44
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting45
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting45
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting46
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting46
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting47
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting47
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting48
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting48
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting49
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting49
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting50
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting50
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting51
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting51
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting52
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting52
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting53
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting53
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/painting_frame
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/painting_frame
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//CASINO SHADERS

textures/ics/chips_blue
{
    {
        map $lightmap
    }
    {
        map textures/ics/chips_blue
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/chips_yellow
{
    {
        map $lightmap
    }
    {
        map textures/ics/chips_yellow
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/chips_red
{
    {
        map $lightmap
    }
    {
        map textures/ics/chips_red
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/chips_white
{
    {
        map $lightmap
    }
    {
        map textures/ics/chips_white
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/chips
{
    {
        map $lightmap
    }
    {
        map textures/ics/chips
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/cards_side
{
    {
        map $lightmap
    }
    {
        map textures/ics/cards_side
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/dollars_side
{
    {
        map $lightmap
    }
    {
        map textures/ics/dollars_side
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/dollars_top
{
    {
        map $lightmap
    }
    {
        map textures/ics/dollars_top
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/cards_noalpha
{
	qer_editorimage textures/ics/cards_top
    {
        map $lightmap
    }
    {
        map textures/ics/cards_top
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/cards_21
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	cull	disable
    {
        map textures/ics/cards_21
        alphaFunc GE128
        blendFunc GL_ZERO GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
    }
    {
        map textures/ics/cards_21
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/ics/cards_top
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	cull	disable
    {
        map textures/ics/cards_top
        alphaFunc GE128
        blendFunc GL_ZERO GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
    }
    {
        map textures/ics/cards_top
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/ics/cards_poker
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	cull	disable
    {
        map textures/ics/cards_poker
        alphaFunc GE128
        blendFunc GL_ZERO GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
    }
    {
        map textures/ics/cards_poker
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/ics/carpet_red
{
	q3map_material	Carpet
    {
        map $lightmap
    }
    {
        map textures/ics/carpet_red
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/curtain
{
	surfaceparm	nonsolid
	qer_editorimage textures/prague/curtain
	surfaceparm	nonopaque
	q3map_material	Fabric
	q3map_alphashadow
	cull	disable
    {
        map textures/prague/curtain
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/prague/curtain
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/ics/sign_sortie
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_sortie
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_casino
{
	polygonOffset
	q3map_material	HollowMetal
	q3map_surfacelight	500
	cull	disable
    {
        map textures/ics/sign_casino
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/ics/sign_casino
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
    {
        map textures/ics/sign_casino_glow
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 1 0 1
    }
}

textures/ics/games_slot
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/games_slot
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/games_slotside
{
	q3map_material	SolidMetal
{
        map $lightmap
    }
    {
        map textures/ics/games_slotside
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/games_blackjack
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/games_blackjack
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/games_caribbean
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/games_caribbean
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/games_craps
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/games_craps
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/games_paigowpoker
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/games_paigowpoker
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/games_roullette
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/games_roullette
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/games_roullette_wheel
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/games_roullette_wheel
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ics/games_sicbo
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/ics/games_sicbo
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//BANK SHADERS

textures/ics/sign_exit
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_exit
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_bay
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_bay
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_birks
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_birks
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_footlocker
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_footlocker
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_g&t
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_g&t
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_gap
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_gap
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_hmv
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_hmv
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_homehardware
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_homehardware
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_mcdonalds
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_mcdonalds
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_rbc
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_rbc
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_shoppers
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_shoppers
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_subway
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_subway
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_timhortons
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_timhortons
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_walmart
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_walmart
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_zellers
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_zellers
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_kmart
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_kmart
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_toys
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_toys
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_leons
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_leons
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_tacobell
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_tacobell
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_lcbo
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_lcbo
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_blacks
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_blacks
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_radioshack
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_radioshack
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/bank_machine
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/bank_machine
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_eastmall
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_eastmall
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_eastmall
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_eastmall
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_westmall
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_westmall
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_northmall
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_northmall
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}

textures/ics/sign_eastsouth
{
	q3map_material	SolidMetal
	q3map_nolightmap
    {
        map textures/ics/sign_southmall
    }
    {
        map textures/common/env_chrome_add
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
    }
}